List Player Pairs
curl --request GET \
--url https://padelapi.org/api/players/{player}/pairs \
--header 'Authorization: Bearer <token>'import requests
url = "https://padelapi.org/api/players/{player}/pairs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://padelapi.org/api/players/{player}/pairs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"self": "<string>",
"name": "<string>",
"category": "<string>",
"status": "<string>",
"points": 123,
"first_match_at": "<string>",
"last_match_at": "<string>",
"players": [
{
"id": 123,
"self": "<string>",
"name": "<string>",
"short_name": "<string>",
"url": "<string>",
"photo_url": "<string>",
"nationality": "<string>",
"ranking": "<string>",
"points": 123,
"elo": 123,
"height": 123,
"birthplace": "<string>",
"birthdate": "<string>",
"age": "<string>",
"links": "<string>",
"updated_at": "<string>",
"connections": {
"matches": "<string>",
"rankings": "<string>",
"pairs": "<string>",
"stats": "<string>"
}
}
],
"connections": "<string>"
}
]{
"message": "<string>"
}{
"message": "<string>"
}Player
List Player Pairs
Endpoint to retrieve all pairs a player has played with, derived from their match history.
GET
/
players
/
{player}
/
pairs
List Player Pairs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The player ID
Query Parameters
⌘I